Subject: cpu_die on MPC8641D

From: Matt Sealey <[email-masked]>
Date: Sun, 04 Jan 2009 18:07:18 -0600

I just built a kernel with a config very similar to the MPC8641HPCN 
defconfig and for some reason at the end of the build I got an error 
saying there was no symbol "cpu_die".

I can't work out what I missed here, I checked a few LXRs to 
cross-reference where the symbol might come from and there are things 
for 64-bit CPUs (kernel/setup_64.c) and for PowerMacs but there seems to 
be no "generic" SMP support for 32-bit/e600 cores at all?

I'm trying not to have any Mac drivers in the kernel, but it seems I 
need to make sure I build in the generic PowerMac platform support to 
get SMP? Why?

-- Matt Sealey <[email-masked]>